Skip to main content
GET
ListCampaigns

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of campaigns to return. The service may return fewer than this value. If unspecified, at most 50 campaigns will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. Optional.

pageToken
string

A page token, received from a previous ListCampaigns call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListCampaigns must match the call that provided the page token. Optional.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are: created_by_user_id, tag_id, tag_name, report_id, report_name, campaign_id, client_key, description, run_id, name, is_archived, and metadata. For further information about how to use CELs, please refer to this guide. For more information about the fields used for filtering, please refer to this definition. Optional.

organizationId
string

This field is only required if your user belongs to multiple organizations.

includeArchived
boolean

If true then archived campaigns will be included in the query. Defaults to false.

orderBy
string

How to order the retrieved campaigns. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are name, created_date and modified_date. If left empty, items are ordered by created_date in descending order (newest-first). For more information about the format of this field, read this Example: "created_date desc,modified_date"

skipReportSummaries
boolean

If true, the response will omit the summary fields on each campaign's reports and set reports_include_summaries to false on the Campaign message. Reports will still be included with report_id and report_name populated. This significantly improves response times for campaigns with many reports. Defaults to false.

Response

A successful response.

The response of a call to CampaignService_ListCampaignsResponse.

campaigns
object[]
nextPageToken
string